'use strict';

const threads = require('threads');

/**
 * @module index
 */
const pool = threads.Pool(() => {
  return threads.spawn(new threads.Worker('./generate'));
});
async function terminate(force) {
  return pool.terminate(force);
}
async function generate(path, content, options) {
  pool.queue(async generate => {
    await generate(path, content.toString(), options);
  });
  await pool.completed();
}

exports.generate = generate;
exports.terminate = terminate;
