import { Pool, spawn, Worker } from 'threads';

/**
 * @module index
 */
const pool = Pool(() => {
  return spawn(new Worker('./generate'));
});
async function terminate(force) {
  return pool.terminate(force);
}
async function generate(path, content, options) {
  pool.queue(async generate => {
    await generate(path, content.toString(), options);
  });
  await pool.completed();
}

export { generate, terminate };
